Get authenticate URL by app integration name

Gets the authenticate URL by app integration name.

get

Get app integration authenticate URL for the given appIntegrationName, callback URL, return URL, device code, and type response. The URL is ready to redirect the user to the app integration login page after calling this endpoint. After the user logs in, the user will be redirected to the callback URL.

Query parameters
callbackURLstring · uriRequired

The callback URL. It is the URL that the user will be redirected to after logging in.

returnURLstring · uriRequired

The return URL. It is the URL that the user will be redirected to after canceling the login.

deviceCodestringOptional

The device code. It is the code that the user will be detected as a device.

appIntegrationNamestringRequired

The app integration name. It is the name of the app integration to get the authenticate URL.

typeResponsestring · enumOptional

This enum represents the response client for the AppSettingAuthenticationTypeResponseClient.

Possible values:
Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Responses
chevron-right
200

The request was successful.

application/json

The API result model with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Required

This is the message to be displayed to the user.

get
/api/v1/users/auth/app-integration/authenticate-url-by-name

Last updated